Bug 189818 - [patch] dns/unbound: Do not make unbound's startup conditional on unbound-anchors return code
[patch] dns/unbound: Do not make unbound's startup conditional on unbound-anc...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Erwin Lansing
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-14 21:10 UTC by Ryan Steinmetz
Modified: 2014-05-17 19:43 UTC (History)
0 users

See Also:


Attachments
file.diff (874 bytes, patch)
2014-05-14 21:10 UTC, Ryan Steinmetz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Steinmetz freebsd_committer 2014-05-14 21:10:00 UTC
Today, unbound-anchor's return code will dictate whether or not unbound is able to start.

The attached patch causes unbound to try to start, even if unbound-anchor's return code is non-zero.

Since unbound-anchor has built-in validation content, unbound's successful startup should not be dependent on unbound-anchor's ability to pull a key from the Internet.

The patch also fixes a trailing whitespace issue.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-14 22:39:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Erwin Lansing freebsd_committer 2014-05-15 01:00:30 UTC
Responsible Changed
From-To: sem->erwin

Currently talking to NLNetLabs what they think of this and possibly 
upstreaming
Comment 3 dfilter freebsd_committer 2014-05-15 09:27:57 UTC
Author: sem
Date: Thu May 15 08:27:53 2014
New Revision: 354104
URL: http://svnweb.freebsd.org/changeset/ports/354104
QAT: https://qat.redports.org/buildarchive/r354104/

Log:
  - Run unbound even when unbound-anchors fails
  - Remove trailing space
  
  PR:		ports/189818
  Submitted by:	zi

Modified:
  head/dns/unbound/Makefile
  head/dns/unbound/files/unbound.in

Modified: head/dns/unbound/Makefile
==============================================================================
--- head/dns/unbound/Makefile	Thu May 15 08:08:23 2014	(r354103)
+++ head/dns/unbound/Makefile	Thu May 15 08:27:53 2014	(r354104)
@@ -3,7 +3,7 @@
 
 PORTNAME=	unbound
 PORTVERSION=	1.4.22
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	dns
 MASTER_SITES=	http://unbound.net/downloads/
 

Modified: head/dns/unbound/files/unbound.in
==============================================================================
--- head/dns/unbound/files/unbound.in	Thu May 15 08:08:23 2014	(r354103)
+++ head/dns/unbound/files/unbound.in	Thu May 15 08:27:53 2014	(r354104)
@@ -23,7 +23,7 @@ rcvar=unbound_enable
 command="%%PREFIX%%/sbin/unbound"
 extra_commands="reload"
 start_precmd="start_precmd"
-reload_precmd="%%PREFIX%%/sbin/unbound-checkconf >/dev/null" 
+reload_precmd="%%PREFIX%%/sbin/unbound-checkconf >/dev/null"
 
 load_rc_config $name
 
@@ -41,6 +41,7 @@ start_precmd()
 		su -m unbound -c "%%PREFIX%%/sbin/unbound-anchor ${unbound_anchorflags}"; \
 	fi &&
 	echo .
+	return 0
 }
 
 run_rc_command "$1"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sergey Matveychuk freebsd_committer 2014-05-17 19:43:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!